## linux-restricted-modules-oem-6.17 6.17.0-1005.5

=== debian/ancillary/linux-restricted-generate/debian/changelog ===
linux-restricted-generate-oem-6.17 (6.17.0-1005.5) noble; urgency=medium

  * Main version: 6.17.0-1005.5

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Mon, 13 Oct 2025 14:02:02 +0800

linux-restricted-generate-oem-6.17 (6.17.0-1004.4+2) noble; urgency=medium


  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (adhoc/d2025.10.02)

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Thu, 09 Oct 2025 14:11:18 +0800

linux-restricted-generate-oem-6.17 (6.17.0-1004.4+1) noble; urgency=medium


  * Miscellaneous Ubuntu changes
    - suppress -535, 550, 570 driver

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Fri, 03 Oct 2025 13:50:06 +0800

linux-restricted-generate-oem-6.17 (6.17.0-1004.4) noble; urgency=medium

  * Main version: 6.17.0-1004.4

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Thu, 02 Oct 2025 15:33:26 +0800

linux-restricted-generate-oem-6.17 (6.17.0-1003.3) noble; urgency=medium

  * Main version: 6.17.0-1003.3

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2025.09.16)

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Tue, 16 Sep 2025 15:35:20 +0800
