=== debian/changelog ===
linux-restricted-modules-oem-6.17 (6.17.0-1005.5) noble; urgency=medium

  * Main version: 6.17.0-1005.5

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Mon, 13 Oct 2025 14:02:02 +0800

linux-restricted-modules-oem-6.17 (6.17.0-1004.4+2) noble; urgency=medium


  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (adhoc/d2025.10.02)

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Thu, 09 Oct 2025 14:11:18 +0800

linux-restricted-modules-oem-6.17 (6.17.0-1004.4+1) noble; urgency=medium


  * Miscellaneous Ubuntu changes
    - suppress -535, 550, 570 driver

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Fri, 03 Oct 2025 13:50:06 +0800

linux-restricted-modules-oem-6.17 (6.17.0-1004.4) noble; urgency=medium

  * Main version: 6.17.0-1004.4

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Thu, 02 Oct 2025 15:33:26 +0800

linux-restricted-modules-oem-6.17 (6.17.0-1003.3) noble; urgency=medium

  * Main version: 6.17.0-1003.3

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2025.09.16)

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Tue, 16 Sep 2025 15:35:20 +0800

linux-restricted-modules-oem-6.17 (6.17.0-1002.2+1) noble; urgency=medium


  * Miscellaneous Ubuntu changes
    - [Packaging] Remove migration of oem-24.04a

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Thu, 04 Sep 2025 10:07:07 +0800

linux-restricted-modules-oem-6.17 (6.17.0-1002.2) noble; urgency=medium

  * Main version: 6.17.0-1002.2

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update variants
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/tracking-bug -- resync from main package

  * Miscellaneous Ubuntu changes
    - Ubuntu-oem-6.17-6.17.0-1001.1

  * Miscellaneous upstream changes
    - Merge branch 'dev_oem-6.17' into oem-6.17

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Wed, 03 Sep 2025 18:05:27 +0800

linux-restricted-modules-oem-6.17 (6.17.0-1001.1) noble; urgency=medium

  * Main version: 6.17.0-1001.1

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update variants
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Tue, 02 Sep 2025 10:28:18 +0800

linux-restricted-modules-oem-6.17 (6.17.0-1000.0) noble; urgency=medium

  * Dummy changelog entry.

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Mon, 01 Sep 2025 15:07:16 +0800

linux-restricted-modules-oem-6.14 (6.14.0-1011.11) noble; urgency=medium

  * Main version: 6.14.0-1011.11

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Fri, 15 Aug 2025 13:33:36 +0800

linux-restricted-modules-oem-6.14 (6.14.0-1010.10) noble; urgency=medium

  * Main version: 6.14.0-1010.10

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Tue, 12 Aug 2025 12:38:16 +0800

linux-restricted-modules-oem-6.14 (6.14.0-1009.9) noble; urgency=medium

  * Main version: 6.14.0-1009.9

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

  * Migrate oem-6.8 to oem-6.14 (LP: #2118880)
    - [Packaging] Migrate oem-24.04a to oem-24.04c

  * Add lrm autogenerated transitional independent of variants (LP: #1991130)
    - [Packaging] Add a new migrate autogenerate option

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Mon, 28 Jul 2025 14:08:41 +0800

linux-restricted-modules-oem-6.14 (6.14.0-1008.8) noble; urgency=medium

  * Main version: 6.14.0-1008.8

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Mon, 21 Jul 2025 11:52:54 +0800

linux-restricted-modules-oem-6.14 (6.14.0-1007.7+1) noble; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (adhoc/2025.06.16)

 -- Andy Whitcroft <apw@canonical.com>  Mon, 14 Jul 2025 21:40:05 +0100

linux-restricted-modules-oem-6.14 (6.14.0-1007.7) noble; urgency=medium

  * Main version: 6.14.0-1007.7

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Mon, 30 Jun 2025 13:49:45 +0800

linux-restricted-modules-oem-6.14 (6.14.0-1006.6) noble; urgency=medium

  * Main version: 6.14.0-1006.6

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Mon, 23 Jun 2025 16:16:34 +0800

linux-restricted-modules-oem-6.14 (6.14.0-1005.5+1) noble; urgency=medium


  * Miscellaneous upstream changes
    - debian/scripts/generate-rules: add header dependencies
    - debian/scripts/generate-rules: use ${src_main_version} instead of @VERSION@

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Tue, 03 Jun 2025 10:50:25 +0800

linux-restricted-modules-oem-6.14 (6.14.0-1005.5) noble; urgency=medium

  * Main version: 6.14.0-1005.5

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Mon, 02 Jun 2025 12:42:09 +0800

linux-restricted-modules-oem-6.14 (6.14.0-1004.4) noble; urgency=medium

  * Main version: 6.14.0-1004.4

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

