=== debian/control ===
Source: linux-restricted-modules-oem-6.17
Section: utils
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 9),
Build-Depends-Arch:
 cpio,
 curl,
 dkms,
 gawk,
 linux-headers-6.17.0-1005-oem (>= 6.17.0-1005.5) [amd64],
 lsb-release,
 python3,
 python3-apt,
XSC-Ubuntu-Nvidia-Dependencies:
 nvidia-graphics-drivers-535 (= 535.247.01-0ubuntu0.24.04.1),
 nvidia-graphics-drivers-535-server (= 535.261.03-0ubuntu0.24.04.1),
 nvidia-graphics-drivers-550 (= 550.163.01-0ubuntu0.24.04.1),
 nvidia-graphics-drivers-570 (= 570.172.08-0ubuntu0.24.04.1),
 nvidia-graphics-drivers-570-server (= 570.172.08-0ubuntu0.24.04.1),
 nvidia-graphics-drivers-580 (= 580.95.05-0ubuntu0.24.04.2),
 nvidia-graphics-drivers-580-server (= 580.95.05-0ubuntu0.24.04.2),
Standards-Version: 3.9.4
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-restricted-modules-oem/+git/noble -b oem-6.17

Package: linux-modules-nvidia-580-oem-6.17
Build-Profiles: <!stage1>
Architecture: amd64 
Section: kernel
Provides: ${dkms:nvidia-580-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-580-6.17.0-1005-oem (= ${binary:Version}),
 ${nvk:nvidia-580},
Description: Extra drivers for nvidia-580 for the oem-6.17 flavour
 Install extra signed nvidia-580 modules compatible with the oem-6.17 flavour.

Package: linux-modules-nvidia-580-open-oem-6.17
Build-Profiles: <!stage1>
Architecture: amd64 
Section: kernel
Provides: ${dkms:nvidia-580-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-580-open-6.17.0-1005-oem (= ${binary:Version}),
 ${nvk:nvidia-580-open},
Description: Extra drivers for nvidia-580-open for the oem-6.17 flavour
 Install extra signed nvidia-580-open modules compatible with the oem-6.17 flavour.

Package: linux-modules-nvidia-580-oem-24.04d
Build-Profiles: <!stage1>
Architecture: amd64 
Section: kernel
Provides: ${dkms:nvidia-580-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-580-6.17.0-1005-oem (= ${binary:Version}),
 ${nvk:nvidia-580},
Description: Extra drivers for nvidia-580 for the oem-24.04d flavour
 Install extra signed nvidia-580 modules compatible with the oem-24.04d flavour.

Package: linux-modules-nvidia-580-open-oem-24.04d
Build-Profiles: <!stage1>
Architecture: amd64 
Section: kernel
Provides: ${dkms:nvidia-580-open-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-580-open-6.17.0-1005-oem (= ${binary:Version}),
 ${nvk:nvidia-580-open},
Description: Extra drivers for nvidia-580-open for the oem-24.04d flavour
 Install extra signed nvidia-580-open modules compatible with the oem-24.04d flavour.

Package: linux-modules-nvidia-575-oem-6.17
Architecture: amd64 
Section: oldlibs
Depends: linux-modules-nvidia-580-oem-6.17
Description: Extra drivers for nvidia-575 for the oem flavour (dummy transitional package)
 Transitional package for upgrades of -575 to -580.

Package: linux-modules-nvidia-575-open-oem-6.17
Architecture: amd64 
Section: oldlibs
Depends: linux-modules-nvidia-580-open-oem-6.17
Description: Extra drivers for nvidia-575-open for the oem flavour (dummy transitional package)
 Transitional package for upgrades of -575-open to -580-open.

Package: linux-modules-nvidia-575-oem-24.04d
Architecture: amd64 
Section: oldlibs
Depends: linux-modules-nvidia-580-oem-24.04d
Description: Extra drivers for nvidia-575 for the oem flavour (dummy transitional package)
 Transitional package for upgrades of -575 to -580.

Package: linux-modules-nvidia-575-open-oem-24.04d
Architecture: amd64 
Section: oldlibs
Depends: linux-modules-nvidia-580-open-oem-24.04d
Description: Extra drivers for nvidia-575-open for the oem flavour (dummy transitional package)
 Transitional package for upgrades of -575-open to -580-open.

Package: linux-objects-nvidia-580-6.17.0-1005-oem
Build-Profiles: <!stage1>
Architecture: amd64 
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 binutils,
Description: Linux kernel nvidia modules for version 6.17.0-1005 (objects)
 This package contains the Linux kernel nvidia modules for version 6.17.0-1005.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-580-oem* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.

Package: linux-modules-nvidia-580-6.17.0-1005-oem
Build-Profiles: <!stage1>
Architecture: amd64 
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 linux-image-6.17.0-1005-oem | linux-image-unsigned-6.17.0-1005-oem,
 linux-signatures-nvidia-6.17.0-1005-oem (= 6.17.0-1005.5),
 linux-objects-nvidia-580-6.17.0-1005-oem (= ${binary:Version}),
 ${nvk:nvidia-580},
Description: Linux kernel nvidia modules for version 6.17.0-1005
 This package pulls together the Linux kernel nvidia modules for
 version 6.17.0-1005 with the appropriate signatures.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-580-oem* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.

Package: linux-objects-nvidia-580-open-6.17.0-1005-oem
Build-Profiles: <!stage1>
Architecture: amd64 
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 binutils,
Description: Linux kernel nvidia modules for version 6.17.0-1005 (objects)
 This package contains the Linux kernel nvidia modules for version 6.17.0-1005.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-580-open-oem* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.
