=== debian/changelog ===
linux-restricted-modules-oem-6.17 (6.17.0-1005.5+1) noble; urgency=medium


  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2025.10.13)

  * Miscellaneous Ubuntu changes
    - enable -535, 550, 570 driver

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Wed, 22 Oct 2025 10:11:59 +0800
