=== debian/changelog ===
linux-restricted-modules-oem-6.17 (6.17.0-1006.6) noble; urgency=medium

  * Main version: 6.17.0-1006.6

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Tue, 28 Oct 2025 11:15:19 +0800
