=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  curl,
  dkms,
  gawk,
- linux-headers-6.17.0-1006-oem (>= 6.17.0-1006.6) [amd64],
+ linux-headers-6.17.0-1007-oem (>= 6.17.0-1007.7) [amd64],
  lsb-release,
  python3,
  python3-apt,
@@ -30,7 +30,7 @@
 Provides: ${dkms:nvidia-535-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-6.17.0-1006-oem (= ${binary:Version}),
+ linux-modules-nvidia-535-6.17.0-1007-oem (= ${binary:Version}),
  ${nvk:nvidia-535},
 Description: Extra drivers for nvidia-535 for the oem-6.17 flavour
  Install extra signed nvidia-535 modules compatible with the oem-6.17 flavour.
@@ -42,7 +42,7 @@
 Provides: ${dkms:nvidia-535-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-open-6.17.0-1006-oem (= ${binary:Version}),
+ linux-modules-nvidia-535-open-6.17.0-1007-oem (= ${binary:Version}),
  ${nvk:nvidia-535-open},
 Description: Extra drivers for nvidia-535-open for the oem-6.17 flavour
  Install extra signed nvidia-535-open modules compatible with the oem-6.17 flavour.
@@ -54,7 +54,7 @@
 Provides: ${dkms:nvidia-570-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-6.17.0-1006-oem (= ${binary:Version}),
+ linux-modules-nvidia-570-6.17.0-1007-oem (= ${binary:Version}),
  ${nvk:nvidia-570},
 Description: Extra drivers for nvidia-570 for the oem-6.17 flavour
  Install extra signed nvidia-570 modules compatible with the oem-6.17 flavour.
@@ -66,7 +66,7 @@
 Provides: ${dkms:nvidia-570-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-open-6.17.0-1006-oem (= ${binary:Version}),
+ linux-modules-nvidia-570-open-6.17.0-1007-oem (= ${binary:Version}),
  ${nvk:nvidia-570-open},
 Description: Extra drivers for nvidia-570-open for the oem-6.17 flavour
  Install extra signed nvidia-570-open modules compatible with the oem-6.17 flavour.
@@ -78,7 +78,7 @@
 Provides: ${dkms:nvidia-580-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-580-6.17.0-1006-oem (= ${binary:Version}),
+ linux-modules-nvidia-580-6.17.0-1007-oem (= ${binary:Version}),
  ${nvk:nvidia-580},
 Description: Extra drivers for nvidia-580 for the oem-6.17 flavour
  Install extra signed nvidia-580 modules compatible with the oem-6.17 flavour.
@@ -90,7 +90,7 @@
 Provides: ${dkms:nvidia-580-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-580-open-6.17.0-1006-oem (= ${binary:Version}),
+ linux-modules-nvidia-580-open-6.17.0-1007-oem (= ${binary:Version}),
  ${nvk:nvidia-580-open},
 Description: Extra drivers for nvidia-580-open for the oem-6.17 flavour
  Install extra signed nvidia-580-open modules compatible with the oem-6.17 flavour.
@@ -102,7 +102,7 @@
 Provides: ${dkms:nvidia-535-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-6.17.0-1006-oem (= ${binary:Version}),
+ linux-modules-nvidia-535-6.17.0-1007-oem (= ${binary:Version}),
  ${nvk:nvidia-535},
 Description: Extra drivers for nvidia-535 for the oem-24.04d flavour
  Install extra signed nvidia-535 modules compatible with the oem-24.04d flavour.
@@ -114,7 +114,7 @@
 Provides: ${dkms:nvidia-535-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-open-6.17.0-1006-oem (= ${binary:Version}),
+ linux-modules-nvidia-535-open-6.17.0-1007-oem (= ${binary:Version}),
  ${nvk:nvidia-535-open},
 Description: Extra drivers for nvidia-535-open for the oem-24.04d flavour
  Install extra signed nvidia-535-open modules compatible with the oem-24.04d flavour.
@@ -126,7 +126,7 @@
 Provides: ${dkms:nvidia-570-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-6.17.0-1006-oem (= ${binary:Version}),
+ linux-modules-nvidia-570-6.17.0-1007-oem (= ${binary:Version}),
  ${nvk:nvidia-570},
 Description: Extra drivers for nvidia-570 for the oem-24.04d flavour
  Install extra signed nvidia-570 modules compatible with the oem-24.04d flavour.
@@ -138,7 +138,7 @@
 Provides: ${dkms:nvidia-570-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-open-6.17.0-1006-oem (= ${binary:Version}),
+ linux-modules-nvidia-570-open-6.17.0-1007-oem (= ${binary:Version}),
  ${nvk:nvidia-570-open},
 Description: Extra drivers for nvidia-570-open for the oem-24.04d flavour
  Install extra signed nvidia-570-open modules compatible with the oem-24.04d flavour.
@@ -150,7 +150,7 @@
 Provides: ${dkms:nvidia-580-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-580-6.17.0-1006-oem (= ${binary:Version}),
+ linux-modules-nvidia-580-6.17.0-1007-oem (= ${binary:Version}),
  ${nvk:nvidia-580},
 Description: Extra drivers for nvidia-580 for the oem-24.04d flavour
  Install extra signed nvidia-580 modules compatible with the oem-24.04d flavour.
@@ -162,7 +162,7 @@
 Provides: ${dkms:nvidia-580-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-580-open-6.17.0-1006-oem (= ${binary:Version}),
+ linux-modules-nvidia-580-open-6.17.0-1007-oem (= ${binary:Version}),
  ${nvk:nvidia-580-open},
 Description: Extra drivers for nvidia-580-open for the oem-24.04d flavour
  Install extra signed nvidia-580-open modules compatible with the oem-24.04d flavour.
@@ -251,7 +251,7 @@
 Description: Extra drivers for nvidia-550-open for the oem flavour (dummy transitional package)
  Transitional package for upgrades of -550-open to -580-open.
 
-Package: linux-objects-nvidia-535-6.17.0-1006-oem
+Package: linux-objects-nvidia-535-6.17.0-1007-oem
 Build-Profiles: <!stage1>
 Architecture: amd64 
 Section: kernel
@@ -261,15 +261,15 @@
  ${misc:Depends},
  ${shlibs:Depends},
  binutils,
-Description: Linux kernel nvidia modules for version 6.17.0-1006 (objects)
- This package contains the Linux kernel nvidia modules for version 6.17.0-1006.
+Description: Linux kernel nvidia modules for version 6.17.0-1007 (objects)
+ This package contains the Linux kernel nvidia modules for version 6.17.0-1007.
  .
  You likely do not want to install this package directly. Instead, install the
  one of the linux-modules-nvidia-535-oem* meta-packages,
  which will ensure that upgrades work correctly, and that supporting packages are
  also installed.
 
-Package: linux-modules-nvidia-535-6.17.0-1006-oem
+Package: linux-modules-nvidia-535-6.17.0-1007-oem
 Build-Profiles: <!stage1>
 Architecture: amd64 
 Section: kernel
@@ -278,20 +278,20 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- linux-image-6.17.0-1006-oem | linux-image-unsigned-6.17.0-1006-oem,
- linux-signatures-nvidia-6.17.0-1006-oem (= 6.17.0-1006.6),
- linux-objects-nvidia-535-6.17.0-1006-oem (= ${binary:Version}),
+ linux-image-6.17.0-1007-oem | linux-image-unsigned-6.17.0-1007-oem,
+ linux-signatures-nvidia-6.17.0-1007-oem (= 6.17.0-1007.7),
+ linux-objects-nvidia-535-6.17.0-1007-oem (= ${binary:Version}),
  ${nvk:nvidia-535},
-Description: Linux kernel nvidia modules for version 6.17.0-1006
+Description: Linux kernel nvidia modules for version 6.17.0-1007
  This package pulls together the Linux kernel nvidia modules for
- version 6.17.0-1006 with the appropriate signatures.
+ version 6.17.0-1007 with the appropriate signatures.
  .
  You likely do not want to install this package directly. Instead, install the
  one of the linux-modules-nvidia-535-oem* meta-packages,
  which will ensure that upgrades work correctly, and that supporting packages are
  also installed.
 
-Package: linux-objects-nvidia-535-open-6.17.0-1006-oem
+Package: linux-objects-nvidia-535-open-6.17.0-1007-oem
 Build-Profiles: <!stage1>
 Architecture: amd64 
 Section: kernel
@@ -301,15 +301,15 @@
  ${misc:Depends},
  ${shlibs:Depends},
  binutils,
-Description: Linux kernel nvidia modules for version 6.17.0-1006 (objects)
- This package contains the Linux kernel nvidia modules for version 6.17.0-1006.
+Description: Linux kernel nvidia modules for version 6.17.0-1007 (objects)
+ This package contains the Linux kernel nvidia modules for version 6.17.0-1007.
  .
  You likely do not want to install this package directly. Instead, install the
  one of the linux-modules-nvidia-535-open-oem* meta-packages,
  which will ensure that upgrades work correctly, and that supporting packages are
  also installed.
 
-Package: linux-objects-nvidia-570-6.17.0-1006-oem
+Package: linux-objects-nvidia-570-6.17.0-1007-oem
 Build-Profiles: <!stage1>
 Architecture: amd64 
 Section: kernel
@@ -319,4 +319,4 @@
  ${misc:Depends},
  ${shlibs:Depends},
  binutils,
-Description: Linux kernel nvidia modules for version 6.17.0-1006 (objects)
+Description: Linux kernel nvidia modules for version 6.17.0-1007 (objects)
